package gnet

import "testing"

func TestRands_Int64(t *testing.T) {
	for i := 0; i < 10; i++ {
		t.Log(i, Rand.Int64())
	}
}

func BenchmarkRands_Int64(b *testing.B) {
	for i := 0; i < b.N; i++ {
		Rand.Int64()
	}
}

func TestRands_Uint64(t *testing.T) {
	for i := 0; i < 10; i++ {
		t.Log(i, Rand.Uint64())
	}
}

func BenchmarkRands_Uint64(b *testing.B) {
	for i := 0; i < b.N; i++ {
		Rand.Uint64()
	}
}

func TestRands_Int63n(t *testing.T) {
	for i := 0; i < 10; i++ {
		t.Log(i, Rand.Int64N(16))
	}
}

func TestRands_String(t *testing.T) {
	for i := 0; i < 10; i++ {
		t.Log(Rand.Strings())
	}
}

func BenchmarkRands_String(b *testing.B) {
	for i := 0; i < b.N; i++ {
		Rand.Strings()
	}
}
